Bug 183860 - Larger editors/2bsd-vi terminal width needed.
Summary: Larger editors/2bsd-vi terminal width needed.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-11 14:10 UTC by HATANO Tomomi
Modified: 2014-07-16 20:29 UTC (History)
3 users (show)

See Also:


Attachments
file.diff (664 bytes, patch)
2013-11-11 14:10 UTC, HATANO Tomomi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description HATANO Tomomi 2013-11-11 14:10:03 UTC
editors/2bsd-vi limits terminal width 160 chars.
In modern environment, xterm width can easily exceed 160.

p.s.
2bsd-vi supports multibyte chars that system-default nvi doesn't.
2bsd-vi is enough for me.

Fix: Apply this patch.

Patch attached with submission follows:
How-To-Repeat: Create a xterm window larger than 160 width,
and invoke 2bsd-vi in it.
Comment 1 Edwin Groothuis freebsd_committer 2013-11-12 02:46:52 UTC
Maintainer of editors/2bsd-vi,

Please note that PR ports/183860 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/183860

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-11-12 02:46:53 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 John Marino freebsd_committer 2014-07-11 22:57:25 UTC
Reassign to maintainer (lost in bugzilla conversion)

Technically this timed out long ago.
Comment 4 commit-hook freebsd_committer 2014-07-16 20:26:32 UTC
A commit references this bug:

Author: lx
Date: Wed Jul 16 20:26:23 UTC 2014
New revision: 362108
URL: http://svnweb.freebsd.org/changeset/ports/362108

Log:
  Fix makefile warnings and allow widths wider than 160 characters.

  PR:		183860
  Submitted by:	hatanou@infolab.ne.jp

Changes:
  head/editors/2bsd-vi/Makefile
  head/editors/2bsd-vi/files/patch-config-h
Comment 5 David Thiel freebsd_committer 2014-07-16 20:29:16 UTC
Committed. Sorry, this one fell off my radar.